Security Enhanced Linux Reference Policy

# Layer: apps

## Module: docportal

Interfaces Templates

### Description:

Policy for Docportal, the portal frontend service for Flatpak, Snap, etc.

### Interfaces:

docportal_domtrans( domain )

##### Summary

Execute a domain transition to run WirePlumber.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return

### Templates:

docportal_role( role_prefix , user_domain , systemd_exec_domain , role )

##### Summary

Role access for docportal (user-service mode). Call this from unprivuser.te / staff.te etc

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., "user" for user_r).
user_domain | User domain for the role (e.g., user_t).
systemd_exec_domain | systemd exec domain for execute and transition access (e.g., user_systemd_t).
role | Role allowed access (e.g., user_r).

Return